"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
class Logger {
    static task(message, details = '') {
        if (details) {
            console.log(chalk_1.default.white.bold(`  ${this.arrowSymbol} ${message}`), chalk_1.default.gray.bold(`(${details})`));
        }
        else {
            console.log(chalk_1.default.white.bold(`  ${this.arrowSymbol} ${message}`));
        }
    }
    static success(message) {
        console.log(chalk_1.default.green.bold(message));
    }
    static warn(message) {
        const [messageTitle, ...messageBody] = message.split('\n');
        console.log(chalk_1.default.yellow.bold(`    WARNING: ${messageTitle}`));
        console.log(chalk_1.default.yellow(`             ${messageBody.join('\n             ')}`));
    }
    static error(message) {
        const [messageTitle, ...messageBody] = message.split('\n');
        console.log(chalk_1.default.red.bold(`ERROR: ${messageTitle}`));
        console.log(chalk_1.default.red(`       ${messageBody.join('\n       ')}`));
    }
    static title(message) {
        console.log(chalk_1.default.white.bold.underline(message));
    }
    static empty() {
        console.log('');
    }
}
Logger.arrowSymbol = process.platform === 'win32' ? '→' : '➜';
exports.Logger = Logger;
//# sourceMappingURL=logger.js.map