import * as typescript from 'typescript';
export declare class AngularResourceAnalyzer {
    private externalResources;
    private readonly filePath;
    private readonly fileName;
    private readonly fileContent;
    private readonly sourceFile;
    constructor(filePath: string, fileContent: string);
    findExternalResources(): Array<AngularResource>;
    inlineExternalResources(externalResources: Array<AngularResource>): string;
    private findComponentDecorators(node);
    private findExternalTemplatesAndStyles(node);
    private isComponentDecorator(node);
    private isTemplateUrlDeclaration(node);
    private isStyleUrlsDeclaration(node);
    private replaceNodeContent(fileContent, replacement, node);
    private throwError(node, message);
}
export interface AngularResourceUrl {
    url: string;
    node: typescript.Node;
    content?: string;
}
export interface AngularResource {
    oldKey: string;
    newKey: string;
    node: typescript.Node;
    urls: Array<AngularResourceUrl>;
}
