"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const copy_files_1 = require("../utilities/copy-files");
function compose(config) {
    return __awaiter(this, void 0, void 0, function* () {
        yield Promise.all([
            copy_files_1.copyFiles(path_1.posix.join(config.temporary.bundleES2015, '**'), path_1.posix.join(config.output.folder, 'esm2015')),
            copy_files_1.copyFiles(path_1.posix.join(config.temporary.bundleES5, '**'), path_1.posix.join(config.output.folder, 'esm5')),
            copy_files_1.copyFiles(path_1.posix.join(config.temporary.bundleUMD, '**'), path_1.posix.join(config.output.folder, 'bundles')),
            copy_files_1.copyFiles(path_1.posix.join(config.temporary.buildES2015, '**', '*.d.ts'), config.output.folder),
            copy_files_1.copyFiles(path_1.posix.join(config.temporary.buildES2015, '**', '*.metadata.json'), config.output.folder)
        ]);
    });
}
exports.compose = compose;
//# sourceMappingURL=compose.js.map