"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const angular_dependencies_1 = require("../config/angular.dependencies");
const get_safe_dependency_name_1 = require("../utilities/get-safe-dependency-name");
const rxjs_dependencies_1 = require("../config/rxjs.dependencies");
function getDependencyMap(dependencies) {
    const customDependencies = dependencies
        .filter((dependency) => {
        return !dependency.startsWith('@angular/') && dependency !== 'rxjs';
    })
        .reduce((dependencies, dependency) => {
        dependencies[dependency] = get_safe_dependency_name_1.getSafeDependencyName(dependency);
        return dependencies;
    }, {});
    return Object.assign(angular_dependencies_1.angularDependencies, rxjs_dependencies_1.rxjsDependencies, customDependencies);
}
exports.getDependencyMap = getDependencyMap;
//# sourceMappingURL=get-dependency-map.js.map