"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parsePackageJsonName = require("parse-packagejson-name");
function getSafeDependencyName(originalDependencyName) {
    const { scope, fullName, projectName, moduleName } = parsePackageJsonName(originalDependencyName);
    const safeFullName = fullName
        .replace(/-([a-z])/g, (value) => {
        return value[1].toUpperCase();
    })
        .replace(/[^A-Za-z]/g, '');
    const safeScope = (scope || '')
        .replace(/-([a-z])/g, (value) => {
        return value[1].toUpperCase();
    })
        .replace(/[^A-Za-z]/g, '');
    return scope ? `${safeScope}.${safeFullName}` : safeFullName;
}
exports.getSafeDependencyName = getSafeDependencyName;
//# sourceMappingURL=get-safe-dependency-name.js.map