"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fsExtra = require("fs-extra");
function writeFile(filePath, fileContent) {
    return new Promise((resolve, reject) => {
        const preparedFileContent = typeof fileContent === 'string'
            ? fileContent
            : `${JSON.stringify(fileContent, null, '	')}\n`;
        fsExtra.outputFile(filePath, preparedFileContent, 'utf-8', (writeFileError) => {
            if (writeFileError) {
                reject(new Error(`An error occured while reading the file "${filePath}". [Code "${writeFileError.code}", Number "${writeFileError.errno}"]`));
                return;
            }
            resolve();
        });
    });
}
exports.writeFile = writeFile;
//# sourceMappingURL=write-file.js.map